input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}
button:focus, input:focus, textarea:focus, select:focus {
    outline: none;
}
*, label, h1, p {
    margin: 0px;
    padding: 0px;
}
.prescription-medication{
    background: #FFFFFF;
    box-shadow: 0px 10px 40px -10px rgba(56, 73, 107, 0.1);
    border-radius: 8px;
    padding: 22px 30px;
    .section-1 {
        .allergy-health{
            display: grid;
            grid-template-columns: 40% 60%;
            .medication-allergy{
                width: 343px;
            }
            .suto-suggest-1, .suto-suggest-2{
                border: 1px solid #D9DFEB;
                box-sizing: border-box;
                border-radius: 4px;
                height: 135px;
            }
            .suto-suggest-1{
                height: 135px;
            }
            .suto-suggest-2{
                height: 135px;
            }
            .health-conditions{
                width: 575px;
            }
        }
    }
    .section-2{
        margin: 60px 0px 0px;
        .input-number{
            margin: 0px 6px 0px 12px;
        }
        .search-container{
            width: 548px;
            margin: 20px 0px;
            position: relative;
            .form-control{
                padding-left: 50px;
            }
        }
        .medication-header, .medication-details{
            display: grid;
            grid-template-columns: 15% 35% 10% 15% 20% 5%;
            align-items: center;
        }
        .medication-details{
            padding: 15px 0px;
            border-bottom: 1px solid #e8ecf3;
            .label-2{
                margin-bottom: 7px;
            }
            .increment, .decrement{
                background: transparent;
                border: none;
                margin: 0px 10px;
                padding: 0px;
                height: 12px;
                display: flex;
                align-items: center;
                cursor: pointer;
            }
        }
        .btn-group{
            display: flex;
            justify-content: flex-end;
            margin: 60px 0px 0px;
            .custom-btn{
                width: 150px;
                height: 48px;
                border-radius: 44px;
                font-family: 'Mukta';
                font-style: normal;
                font-weight: 600;
                font-size: 16px;
                text-align: center;
                color: #FFFFFF;
                border: none;
                cursor: pointer;
            }
            .back-btn{
                background: #8493AE;
                margin-right: 20px;
            }
            .submit-btn{
                background: #F92969;
            }
            .submit-btn[disabled] {
                background-color: #ddd;
                pointer-events: none;
            }
        }
    }
}
//global css
.h1{
    font-family: 'Mukta';
    font-style: normal;
    font-weight: bold;
    font-size: 20px;
    line-height: 33px;
    color: #273859;
}
.p1{
    font-family: 'Mukta';
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
    line-height: 19px;
    color: #273859;
}
.label-1{
    font-family: 'Mukta';
    display: block;
    font-style: normal;
    font-weight: 700;
    font-size: 14px;
    line-height: 16px;
    color: #8493AE;
    margin: 10px 0px;
}
.label-2{
    font-family: 'Mukta';
    display: block;
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 18px;
    color: #273859;
}
.label-3{
    font-family: 'Mukta';
    display: block;
    font-style: normal;
    font-weight: normal;
    font-size: 15px;
    line-height: 19px;
    color: #273859;
}
.error-text{
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    p{
        color: #CD1460;
        font-family: 'Mukta';
        font-style: normal;
        font-weight: normal;
        font-size: 12px;
    }
}
.custom-select {
    appearance: none;
    width: 123px;
    height: 34px;
    background: url('../../../images/arrow-down.svg') no-repeat right #fff;
    background-position-x: 100px;
    padding: 0px 15px;
    cursor: pointer;
    border: 1px solid #D9DFEB;
    border-radius: 4px;
    font-family: 'Mukta';
    font-style: normal;
    font-weight: bold;
    font-size: 15px;
    color: #8493AE;
}
.input-number{
    border: 1px solid #D9DFEB;
    box-sizing: border-box;
    border-radius: 4px;
    font-family: 'Mukta';
    font-style: normal;
    font-weight: bold;
    font-size: 15px;
    color: #8493AE;
    width: 48px;
    height: 35px;
    text-align: center;
}
.remarks{
    font-family: 'Mukta';
    border: 1px solid #D9DFEB;
    padding: 17px 15px 27px;
    margin-top: 10px;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    width: 100%;
    color: #8493AE;
    resize: none;
}
/* checkbox styling */
.custom-checkbox {
    width: 25px;
    margin: 0px auto;
    input{
        display: none;
        &:checked {
			+ {
				label {
					background-color: #F92969;
					border: 2px solid #F92969;
					&:after {
						content: '';
						display: block;
						position: absolute;
						top: 2px;
						left: 7px;
						width: 5px;
						height: 13px;
						border: solid #fff;
						border-width: 0 2px 2px 0;
						transform: rotate(45deg);
					}
				}
			}
		}
    }
    label {
        position: relative;
        cursor: pointer;
        display: inline-flex;
        margin: 0px;
        border: 2px solid #D9DFEB;
        &::before{
            content: '';
            -webkit-appearance: none;
            background-color: transparent;
            width: 20px;
            height: 20px;
            display: inline-block;
            position: relative;
            vertical-align: middle;
            cursor: pointer;
        }

    }
}

  .selection-container {
    background-color: #FFFFFF;
    border-radius: 6px;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-bottom: none;
    width: 806px;
    @media (max-width: 575px) {
      width: 100%;	
    }
  }
  .search-drop-down-wrapper{
    width: 100%;
    position: absolute;
    background: #fff;
    top:46px;
    right:0;
    height: auto;
    border: 1px solid #ced4da;
    border-radius: 5px;
    z-index: 100;
    .scrollable-container{
      min-height: 0px;
      max-height: 265px;
      overflow-y: auto;
    }
    .search-result-items{
      width: 100%;
      border-bottom: 1px solid #eee;
      .search-img-wrapper{
        height: 36px;
        width: 36px;
        border-radius: 50%;
        background: #6c757d;
        display: flex;
        justify-content: center;
        align-items: center;
      }
      .search-result-status{
        width: 80px;
        border-radius: 20px;
        padding: 5px 0;
        text-align: center;
        font-size: 12px;
        color: #fff;
        &.active-state{
          background: #17C37B;
        }
        &.inactive-state{
          background: #D9DFEB;
        }
      }
    }

    .create-patient-wrapper{
      width: 100%;
      padding: 10px 0;
      background: #eee;
      text-align: center;
      .create-new-btn{
        background: #fff;
        border: 1px solid #8493AE;
        border-radius: 44px;
        color: #CD1460;
        font-size: 12px;
        padding: 4px;
        width: 110px;
      }
    }
    
  }

.searchError {
  width: 100%;
  margin-top: .25rem;
  font-size: 80%;
  color: #dc3545;
}

.medication-allergies-style {
  height: 137px;
  overflow-y: auto;
  display: block;
  width: 94%;
  margin-left: 3%;
  padding: .375rem .75rem;
  font-size: 1rem;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.search-icon-pos-v2 {
  position: absolute;
  left: 10px;
  top: 16px;
}